
package com.tmerclub.cloud.api.auth.dto;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * 系统密钥DTO
 * @author TRACK
 */
public class SysAccessKeyDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "id")
    private Long sysAccessKeyId;

    @Schema(description = "名称")
    private String name;

    @Schema(description = "备注")
    private String remark;

    @Schema(description = "账号id")
    private String accessId;

    @Schema(description = "密钥")
    private String accessKey;

    public Long getSysAccessKeyId() {
        return sysAccessKeyId;
    }

    public void setSysAccessKeyId(Long sysAccessKeyId) {
        this.sysAccessKeyId = sysAccessKeyId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getAccessId() {
        return accessId;
    }

    public void setAccessId(String accessId) {
        this.accessId = accessId;
    }

    public String getAccessKey() {
        return accessKey;
    }

    public void setAccessKey(String accessKey) {
        this.accessKey = accessKey;
    }

    @Override
    public String toString() {
        return "SysAccessKeyDTO{" +
                "sysAccessKeyId=" + sysAccessKeyId +
                ",name=" + name +
                ",remark=" + remark +
                ",accessId=" + accessId +
                ",accessKey=" + accessKey +
                '}';
    }
}
